import { post } from '@/common/utils/http-util.ts'

export default {
  modifyInfo(data: { nickname?: string, avatar?: string, gender?: string }) {
    return post('/sys_user/modify_info', data)
  },
  modifyPasswd(data: { oldPasswd: string, newPasswd: string }) {
    return post('/sys_user/modify_passwd', data)
  },
  modifyUserSetting(data: { theme?: string, language?: string, logo?: string }) {
    return post('/sys_setting/modify_user_setting', data)
  },
}
